
main {
    overflow-x: initial !important;
}

.custom-file-upload {
    border: 1px solid #ccc;
    display: block;
    padding: 12px;
    cursor: pointer;
    border-radius: 10px;
    margin-top: 5px;
}

.custom-file-upload.is-invalid {
    border: 1px solid #f00;
}

.tr-pagination td {
    display: table-cell !important;
}

.tr-pagination nav ul.pagination {
    justify-content: center !important;
    margin-bottom: 0 !important;
}

.program-list-item,
.table-list-multi-items {
    margin: 1px;
}

.table-bordered tbody tr td:last-of-type {
    display: table-cell !important;
}

.table .icon {
    display: inherit !important;
}

.del-btn-div {
    display: flex;
    align-items: center;
    justify-content: center;
}

.tab-wrapper {
    padding: 15px 0;
}

.training-days,
.nutrition-items {
    margin-top: 5px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.training-days .day,
.nutrition-items .nutrition-item,
.supplements-items .supplements-item,
.warmup-items .warmup-item {
    width: calc(100% / 8);
    margin: 5px;
    padding: 10px;
    position: relative;
}

.nutrition-items .nutrition-item,
.supplements-items .supplements-item,
.warmup-items .warmup-item {
    width: calc(100% / 6);
}

.training-days .day .delete-icon,
.nutrition-items .nutrition-item .delete-icon,
.supplements-items .supplements-item .delete-icon,
.warmup-items .warmup-item .delete-icon {
    position: absolute;
    left: -1px;
    top: -3px;
    color: #fff;
}

.training-days .day.rest,
.nutrition-items .nutrition-item.rest {
    background-color: #919fa1 !important;
    border-color: #919fa1 !important;
    box-shadow: unset !important;
}

.training-days .day.active,
.nutrition-items .nutrition-item.active,
.supplements-items .supplements-item.active,
.warmup-items .warmup-item.active {
    background-color: #7fb1b9 !important;
    border-color: #7fb1b9 !important;
    box-shadow: unset !important;
}

.training-days .day .copy-icon,
.nutrition-items .nutrition-item .copy-icon {
    position: absolute;
    right: 1px;
    top: 1px;
}

.nutrition-items .copy-icon {
    display: none;
}

.custom-table-style {
    white-space: nowrap;
    overflow-x: auto;
}

.dir-l {
    direction: ltr !important;
}

.pe-none {
    pointer-events: none !important;
}

.item-row {
    border-bottom: 1px solid rgba(204, 204, 204, 0.3);
    padding: 5px 0;
    margin: 5px 0;
}

/*start select2*/
.select2-container {
    margin-top: unset !important;
    border-radius: 12px !important;
}

.select2-container .selection .select2-selection {
    margin-top: unset !important;
    background-color: #f9f9f9 !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 25% !important;
}

.select2.is-invalid + .select2.select2-container,
.select2-multiple.is-invalid + .select2.select2-container,
.select2-img.is-invalid + .select2.select2-container {
    border: 1px solid #f00;
}

/*end select2*/

.btn.btn-warning {
    color: #fff;
}

.img-preview {
    width: 100px;
    height: 100px;
}

.rounded-10 {
    border-radius: 10px !important;
}

.bg-olive {
    background-color: #3d9970 !important;
    color: #fff !important;
}

.no-shadow,
.no-shadow:focus,
.no-shadow:hover {
    box-shadow: unset !important;
}

.center-vertically {
    display: flex;
    align-items: center;
    min-height: 80px;
}

.imag-wrapper {
    width: 100px;
}

.multi-files-sec .imag-wrapper {
    display: flex;
    width: unset;
}

.multi-files-sec .imag-wrapper .file-item,
.upload-photo2 .imag-wrapper .file-item {
    margin: 5px;
    position: relative;
}

.multi-files-sec .imag-wrapper .delete-icon,
.upload-photo2 .imag-wrapper .delete-icon {
    position: absolute;
    left: 2px;
    cursor: pointer;
}

.choices-row .add-new-option {
    margin-top: 35px;
}

.choices-row, .choice-option-card {
    position: relative;
    border: 1px solid #ccc;
    margin-bottom: 10px;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 5px 4px 10px 2px #ccc;
}

.choices-row .remove-row {
    position: absolute;
    left: 0;
    top: 0;
    border-radius: 10px 0;
}

.order-details-head {
    color: #13529F;
}

.order-details-value {
    font-size: 14px;
    font-weight: bold;
}

.order-details-value a:hover {
    color: #13529F;
}

.bordered-tbl {
    border: 1px solid #dee2e6 !important;
}

.table-padding td {
    padding: 20px;
}

.half-width-tbl tr td {
    width: 50vw !important;
}

.custom-badge {
    font-size: 0.90rem !important;
}

.mt-25 {
    margin-top: 25px !important;
}

.dir-ltr {
    direction: ltr !important;
}

.rate-section span.checked {
    color: orange;
}

.barcode_photo {
    width: 200px;
    margin: auto;
}

.check-code-form {
    border-radius: 30px 0 0 0 !important;
}

.resend-code-form {
    border-radius: 0 0 0 30px !important;
}

.coupon-items-wrapper,
.autocomplete-items-wrapper {
    height: 150px;
    overflow: auto;
}

.autocomplete-card {
    padding: 10px;
    background-color: #f5f5f5;
}

.announcement-list li {
    padding: 10px;
    border-bottom: 1px solid #ccc;
}

.font-size-30 {
    font-size: 30px !important;
}

/*start reservation page*/
.bordered-ul,
.flex-li {
    border: 1px solid #ccc;
}

.bordered-ul {
    border-right: none;
    border-bottom: none;
    overflow: hidden;
}

.flex-li {
    flex: 50%;
    padding: 20px;
    border-top: none;
    border-left: none;
    box-sizing: border-box;
}

.flex-100 {
    flex: 100%;
}

/*end reservation page*/

.wrapper-div-contain-a {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.wrapper-div-contain-a a {
    margin-top: 25px;
}

.grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
}

/*Pegman icon (Google Map)*/
.gm-svpc div {
    width: 0;
    height: 40px;
}

.currency-dashboard {
    display: inline;
    font-size: 15px;
}

@media print {
    .no-print, .no-print * {
        display: none !important;
    }

    table td.no-print,
    table th.no-print {
        border: none !important;
    }

    .table-print {
        width: 100%;
    }

    .custom-table-style {
        overflow-x: unset;
    }

    .custom-table-style tr th,
    .custom-table-style tr td {
        font-size: 35px;
    }
}


.three-dot-wrapper {
    /*display: flex !important;*/
}

.three-dot-wrapper .menu-wrap .menu {
    top: auto !important;
    bottom: 0px;
    left: 20px;
    right: auto !important;
    z-index: 50 !important;
    background: #fff !important;
    border-radius: 15px;
    box-shadow: 5px 5px 40px #0002 !important;
}

.header-notification .navbar-badge {
    position: absolute;
    top: -2px;
    left: 22px;
}

.header-notification .dropdown-menu {
    right: -245px !important;
    width: 325px;
}

.header-notification .notification-content {
    font-size: 12px;
    white-space: pre-wrap;
}

.header-notification .notification-date {
    font-size: 10px !important;
}

/*start phone-lib*/
.iti--allow-dropdown {
    width: 100% !important;
}

/*end phone-lib*/

.fs-100 {
    font-size: 100%;
}

.trapezoid-clip {
    clip-path: polygon(100% 0, 100% 50%, 90% 100%, 0 100%, 0 0);
}

.iti__country-list {
    left: 0;
    text-align: right !important;
}

.password-eye-icon {
    position: absolute;
    left: 7%;
    cursor: pointer;
    top: 55%;
}

/*start user balance summery section*/

.balance-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    margin: 20px 0;
}

.balance-section {
    flex: 1;
    text-align: center;
    padding: 20px;
    background-color: #f8f9fa;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
}

.balance-section h3 {
    font-size: 1.2rem;
    margin-bottom: 10px;
    color: #333;
}

.balance-section p {
    font-size: 1.5rem;
    font-weight: bold;
    color: #007bff; /* Bootstrap primary color */
}

.balance-section:hover {
    transform: translateY(-5px);
}

@media (max-width: 768px) {
    .balance-container {
        flex-direction: column;
        gap: 15px;
    }
}

/*start toggle switch group*/
.toggle-all-container {
    margin-bottom: 0.5rem;
}

.checkboxes-container {
    max-height: 300px;
    overflow-y: auto; /* Adds a scroll bar if the list is too long */
    border: 1px solid #ccc;
    padding: 10px;
    border-radius: 5px;
}

.checkboxes-container .custom-control {
    padding-top: 10px;
}

/*end toggle switch group*/

/*end user balance summery section*/

